Package org.gradle.api.publish.tasks

# Class GenerateModuleMetadata

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.publish.tasks.GenerateModuleMetadata

All Implemented Interfaces:
  `Comparable<Task>`, `org.gradle.api.internal.DynamicObjectAware`, `org.gradle.api.internal.TaskInternal`, `Named`, `ExtensionAware`, `Task`, `Configurable<Task>`

@DisableCachingByDefault(because="Not made cacheable, yet") public abstract class GenerateModuleMetadata extends DefaultTask
Generates a Gradle metadata file to represent a published `SoftwareComponent` instance.

Since:
  4.3

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.gradle.api.Task

  `Task.Namer`

- ## Field Summary

  ### Fields inherited from interface org.gradle.api.Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenerateModuleMetadata()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected org.gradle.internal.scopeids.id.BuildInvocationScopeId`
  `getBuildInvocationScopeId()`
  Returns the `BuildInvocationScopeId` to use for generation.
  `protected org.gradle.internal.hash.ChecksumService`
  `getChecksumService()`
  Returns the `ChecksumService` to use.
  `protected org.gradle.api.internal.file.FileCollectionFactory`
  `getFileCollectionFactory()`
  Returns the `FileCollectionFactory` to use for generation.
  `RegularFileProperty`
  `getOutputFile()`
  Returns the output file location.
  `protected org.gradle.api.internal.artifacts.ivyservice.projectmodule.ProjectDependencyPublicationResolver`
  `getProjectDependencyPublicationResolver()`
  Returns the `ProjectDependencyPublicationResolver` to use for generation.
  `Property<Publication>`
  `getPublication()`
  Returns the publication to generate the metadata file for.
  `ListProperty<Publication>`
  `getPublications()`
  Returns the publications of the current project, used in generation to connect the modules of a component together.
  `SetProperty<String>`
  `getSuppressedValidationErrors()`
  Returns the set of suppressed validation errors

  ### Methods inherited from class org.gradle.api.DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, getAsDynamicObject, getConvention, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, setImpliesSubProjects`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.gradle.api.Task

  `doNotTrackState, getConvention, notCompatibleWithConfigurationCache`

- ## Constructor Details

  - ### GenerateModuleMetadata

    public GenerateModuleMetadata()

- ## Method Details

  - ### getPublication

    @Internal public Property<Publication> getPublication()
    Returns the publication to generate the metadata file for.

  - ### getPublications

    @Internal public ListProperty<Publication> getPublications()
    Returns the publications of the current project, used in generation to connect the modules of a component together.
    Since:
      4.4

  - ### getFileCollectionFactory

    @Inject protected org.gradle.api.internal.file.FileCollectionFactory getFileCollectionFactory()
    Returns the `FileCollectionFactory` to use for generation.
    Since:
      4.4

  - ### getBuildInvocationScopeId

    @Inject protected org.gradle.internal.scopeids.id.BuildInvocationScopeId getBuildInvocationScopeId()
    Returns the `BuildInvocationScopeId` to use for generation.
    Since:
      4.4

  - ### getProjectDependencyPublicationResolver

    @Inject protected org.gradle.api.internal.artifacts.ivyservice.projectmodule.ProjectDependencyPublicationResolver getProjectDependencyPublicationResolver()
    Returns the `ProjectDependencyPublicationResolver` to use for generation.
    Since:
      4.4

  - ### getChecksumService

    @Inject protected org.gradle.internal.hash.ChecksumService getChecksumService()
    Returns the `ChecksumService` to use.
    Since:
      6.6

  - ### getOutputFile

    @OutputFile public RegularFileProperty getOutputFile()
    Returns the output file location.

  - ### getSuppressedValidationErrors

    @Input public SetProperty<String> getSuppressedValidationErrors()
    Returns the set of suppressed validation errors
    Since:
      7.0